catalog:
  title: Pepper Behavior Generation Sandbox

templates:
- github
- setuptools
- base

variables:
  description: >-
    This package contains generated behaviors for the Pepper CLF
    robot.  It is a sandbox, remember that.

  github.user: CentralLabFacilities
  github.project: pepper_behavior_sandbox

  branches:
  - master

  platform-requires:
    ubuntu:
      packages:
      - ros-${ros}-executive-smach
      - ros-${ros}-executive-smach-visualization
      - ros-${ros}-roseus-smach
      - ros-${ros}-smach
      - ros-${ros}-smach-msgs
      - ros-${ros}-smach-ros
      - ros-${ros}-smach-viewer
      - ros-${ros}-task-compiler

  post-build-hook/unix.command: |
    if [ -f ${toolkit.dir}/setup.sh ]; then
      . ${toolkit.dir}/setup.sh
    else
      echo 'No setup.bash found'
      . /opt/{$ros}/setup.sh
    fi
    cd pepper_behavior
    for i in `ls | grep flexbe` do
      mkdir $i/build && cd $i/build                        \
        && cmake -D CMAKE_INSTALL_PREFIX=${toolkit.dir} .. \
        && make install && cd ../..
    done

